Subject: Re: bug#23377: 25.0.93; Completion is extremely slow for insert-char

From: Noam Postavsky <[email-masked]>
Date: Sat, 30 Sep 2017 12:40:58 -0400

[email-masked] (N. Jackson) writes:

> At 10:21 +0300 on Wednesday 2016-04-27, Eli Zaretskii wrote:
>>
>> So what's the consensus here: do we need an option for turning the
>> character display off, or don't we?
>
> In my opinion FWIW (about 1.5 cents?), being able to see the character
> beside the name is too nice to give up for Emacs 25.1, but, at least
> until the feature is further refined and/or performance is improved,
> there needs to be a way to toggle it on and off.

I think since Mark's patch from #28302 was applied the slowdown isn't as
bad, but some people were reporting much bigger waits (depending on
fonts I guess?) and I'm still seeing a noticable wait on the order of 1
or 2 seconds, so IMO having a toggle makes sense.